## org.apache.myfaces.custom.sortheader
Class HtmlCommandSortHeaderTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlCommandLinkTagBase
                      org.apache.myfaces.taglib.html.ext.HtmlCommandLinkTag
                          org.apache.myfaces.custom.sortheader.HtmlCommandSortHeaderTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlCommandSortHeaderTag
extends HtmlCommandLinkTag

Version:
  $Revision: 169651 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlCommandSortHeaderTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setArrow(java.lang.String arrow)`
`void` `setColumnName(java.lang.String columnName)`
`void` `setImmediate(java.lang.String immediate)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.taglib.html.ext.HtmlCommandLinkTag
`setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlCommandLinkTagBase
`setAccesskey, setAction, setActionListener, setCharset, setCoords, setHreflang, setOnblur, setOnfocus, setRel, setRev, setShape, setTabindex, setTarget, setType`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlCommandSortHeaderTag

    public HtmlCommandSortHeaderTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Overrides:
    `getComponentType` in class `HtmlCommandLinkTag`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `HtmlCommandLinkTag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlCommandLinkTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlCommandLinkTag`

### setColumnName

    public void setColumnName(java.lang.String columnName)

### setArrow

    public void setArrow(java.lang.String arrow)

### setImmediate

    public void setImmediate(java.lang.String immediate)

  Overrides:
    `setImmediate` in class `HtmlCommandLinkTagBase`